%define upstream_name    Mojolicious-Plugin-Proxy
%define upstream_version 0.7

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Proxy requests to a backend server
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Mojolicious)
BuildArch:  noarch

%description
Proxy requests to backend URL using the Mojo::UserAgent manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.700.0-4.mga10
+ Revision: 2209004
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.700.0-3.mga9
+ Revision: 1819434
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.700.0-2.mga8
+ Revision: 1522607
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Jan 30 2019 tv <tv> 0.700.0-1.mga7
+ Revision: 1361924
- update to 0.7

* Wed Sep 19 2018 umeabot <umeabot> 0.600.0-6.mga7
+ Revision: 1269580
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.600.0-5.mga6
+ Revision: 1030308
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.600.0-4.mga6
+ Revision: 940767
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.600.0-3.mga5
+ Revision: 740569
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.600.0-2.mga5
+ Revision: 685486
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 sander85 <sander85> 0.600.0-1.mga5
+ Revision: 634806
- update to 0.6

* Sat Feb 08 2014 sander85 <sander85> 0.400.0-1.mga5
+ Revision: 586545
- update to 0.4

* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 513035
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 370040
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 19 2011 kharec <kharec> 0.300.0-1.mga2
+ Revision: 169294
- imported package perl-Mojolicious-Plugin-Proxy


* Sat Nov 19 2011 cpan2dist 0.3-1mga
- initial mageia release, generated with cpan2dist
